
rem ********** Encrypt 40 bit and 128 bit ***********
..\PDFSecure test.pdf test-out-40bit.pdf -padmin1 -e40
..\PDFSecure test.pdf test-out-128bit.pdf -padmin1 -e128

rem ********** Decrypt **********
..\PDFSecure test-out-128bit.pdf test-out.pdf -padmin1 -d

rem ********** Encrypt and add permissions ***********
..\PDFSecure test.pdf test-out-128perm-all.pdf -padmin1 -e128 -cadmin2 -type=p,phi,p150,cd,cc,c,da,cca,fff
..\PDFSecure test.pdf test-out-40perm-noprint.pdf -padmin1 -e40 -cadmin2 -type=p,phi,p150


rem ********** Just add permissions ***********
..\PDFSecure test.pdf test-out-perm-noprint-nopass.pdf -cadmin2 -type=p,phi,p150

rem ********** read a 128bit encrypted pdf and create 40bit encrypted pdf with same password ***********
..\PDFSecure test-out-128bit.pdf test-out-new40bit.pdf -padmin1 -e40
rem ********** read a 40bit encrypted pdf and create 128bit encrypted pdf with same passwords ***********
..\PDFSecure test-out-40bit.pdf test-out-new128bit.pdf -padmin1 -cadmin2 -e128

rem ********** read a 128bit encrypted pdf and create 40bit encrypted pdf with new password ***********
..\PDFSecure test-out-128bit.pdf test-out-40bit-admin4.pdf -padmin1 -e40 -Padmin4
rem ********** read a 40bit encrypted pdf and create 128bit encrypted pdf with new password ***********
..\PDFSecure test-out-40bit.pdf test-out-128bit-admin4.pdf -padmin1 -cadmin2 -e128 -Padmin4 -Cadmin5

rem ********** modify the permissions on existing pdf's ***********
..\PDFSecure test-out-128perm-all.pdf test-out-128modify1.pdf -e128 -padmin1 -cadmin2 -modify -type=cc
..\PDFSecure test-out-128perm-all.pdf test-out-128modify2.pdf -e128 -padmin1 -cadmin2 -modify -type=cc -Cadmin8
rem ********** change the permission password on existing pdf ***********
..\PDFSecure test-out-perm-noprint-nopass.pdf test-out-perm-noprint-nopass-admin3.pdf -cadmin2 -Cadmin3
pause